> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get collection

> Gets a single collection including children, translations, and redirects.



## OpenAPI

````yaml /swagger/management-api.json get /api/v2/{team_slug}/{app_slug}/collections/{collection_id}
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers: []
security: []
tags:
  - name: Attribute Templates
    x-displayName: Attribute Templates
  - name: Attributes
    x-displayName: Attributes
  - name: Bulk
    x-displayName: Bulk
  - name: Attribute Template Fields
    x-displayName: Attribute Template Fields
  - name: Brands
    x-displayName: Brands
  - name: Product Bundle Groups
    x-displayName: Product Bundle Groups
  - name: Product Bundles
    x-displayName: Product Bundles
  - name: Bundle Rules
    x-displayName: Bundle Rules
  - name: Categories
    x-displayName: Categories
  - name: Channels
    x-displayName: Channels
  - name: ChannelContent
    x-displayName: ChannelContent
  - name: Variant Groups
    x-displayName: Variant Groups
  - name: Collections
    x-displayName: Collections
  - name: CustomRoles
    x-displayName: CustomRoles
  - name: CustomerGroups
    x-displayName: CustomerGroups
  - name: DAM
    x-displayName: DAM
  - name: Product Drafts
    x-displayName: Product Drafts
  - name: Files
    x-displayName: Files
  - name: Images
    x-displayName: Images
  - name: Logs
    x-displayName: Logs
  - name: Markets
    x-displayName: Markets
  - name: Merchant Users
    x-displayName: Merchant Users
  - name: Orders
    x-displayName: Orders
  - name: Organizations
    x-displayName: Organizations
  - name: PriceRelayRules
    x-displayName: PriceRelayRules
  - name: Products
    x-displayName: Products
  - name: Relations
    x-displayName: Relations
  - name: Variant Templates
    x-displayName: Variant Templates
  - name: Variants
    x-displayName: Variants
  - name: Tags
    x-displayName: Tags
  - name: Redirects
    x-displayName: Redirects
  - name: Scheduling
    x-displayName: Scheduling
  - name: Smart Listings
    x-displayName: Smart Listings
  - name: Static Listings
    x-displayName: Static Listings
  - name: StoreGroups
    x-displayName: StoreGroups
  - name: TaxGroups
    x-displayName: TaxGroups
  - name: Third Party Link
    x-displayName: Third Party Link
  - name: Translations
    x-displayName: Translations
  - name: Videos
    x-displayName: Videos
  - name: Warehouses
    x-displayName: Warehouses
  - name: v2 Collections
    x-displayName: v2 Collections
paths:
  /api/v2/{team_slug}/{app_slug}/collections/{collection_id}:
    servers:
      - url: https://api.enad.io
    parameters:
      - $ref: '#/components/parameters/TeamSlug'
      - $ref: '#/components/parameters/AppSlug'
      - name: collection_id
        in: path
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - v2 Collections
      summary: Get collection
      description: >-
        Gets a single collection including children, translations, and
        redirects.
      operationId: getCollection
      responses:
        '200':
          description: OK
          headers:
            X-Correlation-ID:
              $ref: '#/components/headers/CorrelationID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionSingleResponse'
        '400':
          $ref: '#/components/responses/Error'
        '401':
          $ref: '#/components/responses/Error'
        '404':
          $ref: '#/components/responses/Error'
        '500':
          $ref: '#/components/responses/Error'
      security:
        - BearerAuth: []
components:
  parameters:
    TeamSlug:
      name: team_slug
      in: path
      required: true
      schema:
        type: string
    AppSlug:
      name: app_slug
      in: path
      required: true
      schema:
        type: string
  headers:
    CorrelationID:
      description: Correlation id for tracing the request across logs.
      schema:
        type: string
        format: uuid
  schemas:
    CollectionSingleResponse:
      type: object
      required:
        - data
      properties:
        data:
          $ref: '#/components/schemas/Collection'
    Collection:
      type: object
      required:
        - id
        - title
        - slug
        - status
        - created_at
      properties:
        id:
          $ref: '#/components/schemas/UUID'
        title:
          type: string
        slug:
          type: string
        status:
          enum:
            - active
            - inactive
            - draft
          type: string
        parent_id:
          allOf:
            - $ref: '#/components/schemas/UUID'
          nullable: true
        translations:
          $ref: '#/components/schemas/CollectionTranslation'
        redirects:
          type: array
          items:
            $ref: '#/components/schemas/Redirects'
        children:
          type: array
          items:
            $ref: '#/components/schemas/Collection'
        products:
          type: array
          items:
            $ref: '#/components/schemas/CollectionProductEntry'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
          nullable: true
        uri:
          type: string
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
    UUID:
      type: string
      format: uuid
    CollectionTranslation:
      type: object
      properties:
        title:
          type: array
          items:
            $ref: '#/components/schemas/Translation'
        slug:
          type: array
          items:
            $ref: '#/components/schemas/Translation'
    Redirects:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/UUID'
        item_id:
          allOf:
            - $ref: '#/components/schemas/UUID'
          nullable: true
        type:
          type: string
          enum:
            - category
            - collection
            - page
            - product
            - product_bundle
        old_slug:
          type: string
        new_slug:
          type: string
        locale:
          type: string
    CollectionProductEntry:
      type: object
      required:
        - product_id
        - sort_order
      properties:
        product_id:
          $ref: '#/components/schemas/UUID'
        sort_order:
          type: integer
    ErrorBody:
      type: object
      required:
        - message
        - details
      properties:
        message:
          type: string
        details:
          items:
            type: string
          type: array
    Translation:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/UUID'
        locale:
          type: string
        value:
          type: string
  responses:
    Error:
      description: Request-level failure
      headers:
        X-Correlation-ID:
          $ref: '#/components/headers/CorrelationID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: 'Management API token, sent as `Authorization: Bearer <token>`.'

````